
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/qnx4/bitmap.c        |    4 ++--
 25-akpm/fs/qnx4/inode.c         |    8 ++++----
 25-akpm/include/linux/qnx4_fs.h |    2 --
 3 files changed, 6 insertions(+), 8 deletions(-)

diff -puN fs/qnx4/bitmap.c~fs-qnx4-make-some-code-static fs/qnx4/bitmap.c
--- 25/fs/qnx4/bitmap.c~fs-qnx4-make-some-code-static	2005-02-24 21:19:02.000000000 -0800
+++ 25-akpm/fs/qnx4/bitmap.c	2005-02-24 21:19:02.000000000 -0800
@@ -28,8 +28,8 @@ int qnx4_new_block(struct super_block *s
 	return 0;
 }
 
-void count_bits(register const char *bmPart, register int size,
-		int *const tf)
+static void count_bits(register const char *bmPart, register int size,
+		       int *const tf)
 {
 	char b;
 	int tot = *tf;
diff -puN fs/qnx4/inode.c~fs-qnx4-make-some-code-static fs/qnx4/inode.c
--- 25/fs/qnx4/inode.c~fs-qnx4-make-some-code-static	2005-02-24 21:19:02.000000000 -0800
+++ 25-akpm/fs/qnx4/inode.c	2005-02-24 21:19:02.000000000 -0800
@@ -162,8 +162,8 @@ static int qnx4_remount(struct super_blo
 	return 0;
 }
 
-struct buffer_head *qnx4_getblk(struct inode *inode, int nr,
-				 int create)
+static struct buffer_head *qnx4_getblk(struct inode *inode, int nr,
+				       int create)
 {
 	struct buffer_head *result = NULL;
 
@@ -212,7 +212,7 @@ struct buffer_head *qnx4_bread(struct in
 	return NULL;
 }
 
-int qnx4_get_block( struct inode *inode, sector_t iblock, struct buffer_head *bh, int create )
+static int qnx4_get_block( struct inode *inode, sector_t iblock, struct buffer_head *bh, int create )
 {
 	unsigned long phys;
 
@@ -447,7 +447,7 @@ static sector_t qnx4_bmap(struct address
 {
 	return generic_block_bmap(mapping,block,qnx4_get_block);
 }
-struct address_space_operations qnx4_aops = {
+static struct address_space_operations qnx4_aops = {
 	.readpage	= qnx4_readpage,
 	.writepage	= qnx4_writepage,
 	.sync_page	= block_sync_page,
diff -puN include/linux/qnx4_fs.h~fs-qnx4-make-some-code-static include/linux/qnx4_fs.h
--- 25/include/linux/qnx4_fs.h~fs-qnx4-make-some-code-static	2005-02-24 21:19:02.000000000 -0800
+++ 25-akpm/include/linux/qnx4_fs.h	2005-02-24 21:19:02.000000000 -0800
@@ -114,7 +114,6 @@ extern struct dentry *qnx4_lookup(struct
 extern unsigned long qnx4_count_free_blocks(struct super_block *sb);
 extern unsigned long qnx4_block_map(struct inode *inode, long iblock);
 
-extern struct buffer_head *qnx4_getblk(struct inode *, int, int);
 extern struct buffer_head *qnx4_bread(struct inode *, int, int);
 
 extern struct inode_operations qnx4_file_inode_operations;
@@ -130,7 +129,6 @@ extern int qnx4_unlink(struct inode *dir
 extern int qnx4_rmdir(struct inode *dir, struct dentry *dentry);
 extern int qnx4_sync_file(struct file *file, struct dentry *dentry, int);
 extern int qnx4_sync_inode(struct inode *inode);
-extern int qnx4_get_block(struct inode *inode, sector_t iblock, struct buffer_head *bh, int create);
 
 static inline struct qnx4_sb_info *qnx4_sb(struct super_block *sb)
 {
_
